renderSceneDialog.close()

-- Store the original values
originalWidth = renderWidth
originalHeight = renderHeight

-- Set VRay width and height
renderers.current.output_width = originalWidth
renderers.current.output_height = originalHeight

-- Define gcd function
fn gcd a b = (
	while a != b do (
		if a > b then 
			a = a - b
		else 
			b = b - a
	)
	a
)

-- Calculate the simplest form of the original output size
fn simplifyFraction num den = (
	common = gcd num den
	#(num/common, den/common)
)

simplifiedValues = simplifyFraction originalWidth originalHeight

-- Set new resolution in 3ds Max
renderWidth = simplifiedValues[1]
renderHeight = simplifiedValues[2]

--Disable get resolution from Max
renderers.current.output_getsetsfrommax = false